﻿using Newtonsoft.Json;
using System;

namespace WebDataGrid.SQLDataSource.WebResizingExtender
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Request["__EVENTTARGET"] == "ChangedGridSize")
            {
                GridResizeArgs deserializedArgs = JsonConvert.DeserializeObject<GridResizeArgs>(Request["__EVENTARGUMENT"]);

                int containerHeigth = deserializedArgs.rowsContainerHeight;
                int containerWidth = deserializedArgs.rowsContainerWidth;
                int rowHeight = deserializedArgs.rowHeight;
                int offsetHeight = deserializedArgs.offsetHeight;

                double rowsPerPage = Math.Round(Convert.ToDouble(containerHeigth) / Convert.ToDouble(rowHeight));
                int containerNewHeigth = (int)rowsPerPage * rowHeight + offsetHeight;

                wdg.Behaviors.Paging.PageSize = (int)rowsPerPage;
                wdg.Height = containerNewHeigth;
                wdg.Width = containerWidth;
                wdg.Behaviors.Paging.PageIndex = 0;
            }
        }

        public class GridResizeArgs
        {
            public int rowsContainerHeight { get; set; }
            public int rowsContainerWidth { get; set; }
            public int offsetHeight { get; set; }
            public int rowHeight { get; set; }
        }
    }
}